# opentl::modalities::CCDCore Class Reference

List of all members.

## Public Member Functions
void | AssignmentGrad (math::Vector *Ja, double *Ns, double *Yl, double dmax, int k)
| CCDCore (opentl::modelprojection::Warp *warp, modalities::ContourCCD *contourCCD, int camIdx)
double | CCDerf (double x)
double | CCDerfc (double x)
double | cheb_eval_e (const CChebSeries *cs, const double x)
void | CollectSamplePoints (opentl::core::cvdata::Pose *pose, int scale, opentl::core::cvdata::VisContourSamplePts *mContourData, int targetIdx)
void | ComputeAssignmentAndWeight ()
void | ComputeBlurTable (double lambda, opentl::core::cvdata::VisContourSamplePts *mContourData, int targetIdx)
void | ComputeMeasJacobian (core::cvdata::T_MEAS_FEAT *featMeas, int targetIdx)
void | ComputeUnnormalizedStatistics (IplImage *img, int targetIdx)
double | erfc8 (double x)
double | erfc8_sum (double x)
double | erfseries (double x)
void | LocalStatistics (IplImage *img, opentl::core::cvdata::VisContourSamplePts *mContourData, int targetIdx)
void | NormalizeStatistics (int targetIdx)
void | printMatrix2 (const char *name, CvMat &M)
void | SpaceBlurring (int targetIdx)
| ~CCDCore ()
## Public Attributes
double * | Assign
std::vector< double * > | blur
double * | C1 [3]
double * | C2 [3]
std::vector< int > | CCD_K
int * | loutofbound
int | m_xres
int | m_yres
CvMat | MD
CvMat | mEi
CvMat | MG
CvMat | mGradi
CvMat | MH
CvMat | mHessi
CvMat | mHi
CvMat | mHT
CvMat | mQi
CvMat | mRi
CvMat | mRinv
double * | N0 [2]
double * | nu10
double * | nu11 [3]
double * | nu12 [6]
double * | nu20
double * | nu21 [3]
double * | nu22 [6]
double * | nub10
double * | nub11 [3]
double * | nub12 [6]
double * | nub20
double * | nub21 [3]
double * | nub22 [6]
double * | nun11 [3]
double * | nun12 [6]
double * | nun21 [3]
double * | nun22 [6]
int * | outofbound
double | sigma
double | sigma_hat
double * | Weight
double * | Y0 [2]
| projected contour and companion points (image space).
double * | Y1 [2]
double * | Y2 [2]

## Constructor & Destructor Documentation

opentl::modalities::CCDCore::CCDCore | ( | opentl::modelprojection::Warp * | warp,
|  | modalities::ContourCCD * | contourCCD,
|  | int | camIdx |
| ) |  |  |

opentl::modalities::CCDCore::~CCDCore | ( |  | ) |

## Member Function Documentation

void opentl::modalities::CCDCore::AssignmentGrad | ( | math::Vector * | Ja,
|  | double * | Ns,
|  | double * | Yl,
|  | double | dmax,
|  | int | k |
| ) |  |  |

double opentl::modalities::CCDCore::CCDerf | ( | double | x | ) |

double opentl::modalities::CCDCore::CCDerfc | ( | double | x | ) |

double opentl::modalities::CCDCore::cheb_eval_e | ( | const CChebSeries * | cs,
|  | const double | x |
| ) |  |  |

void opentl::modalities::CCDCore::CollectSamplePoints | ( | opentl::core::cvdata::Pose * | pose,
|  | int | scale,
|  | opentl::core::cvdata::VisContourSamplePts * | mContourData,
|  | int | targetIdx |
| ) |  |  |

void opentl::modalities::CCDCore::ComputeAssignmentAndWeight | ( |  | ) |

void opentl::modalities::CCDCore::ComputeBlurTable | ( | double | lambda,
|  | opentl::core::cvdata::VisContourSamplePts * | mContourData,
|  | int | targetIdx |
| ) |  |  |

void opentl::modalities::CCDCore::ComputeMeasJacobian | ( | core::cvdata::T_MEAS_FEAT * | featMeas,
|  | int | targetIdx |
| ) |  |  |

void opentl::modalities::CCDCore::ComputeUnnormalizedStatistics | ( | IplImage * | img,
|  | int | targetIdx |
| ) |  |  |

double opentl::modalities::CCDCore::erfc8 | ( | double | x | ) |

double opentl::modalities::CCDCore::erfc8_sum | ( | double | x | ) |

double opentl::modalities::CCDCore::erfseries | ( | double | x | ) |

void opentl::modalities::CCDCore::LocalStatistics | ( | IplImage * | img,
|  | opentl::core::cvdata::VisContourSamplePts * | mContourData,
|  | int | targetIdx |
| ) |  |  |

void opentl::modalities::CCDCore::NormalizeStatistics | ( | int | targetIdx | ) |

void opentl::modalities::CCDCore::printMatrix2 | ( | const char * | name,
|  | CvMat & | M |
| ) |  |  |

void opentl::modalities::CCDCore::SpaceBlurring | ( | int | targetIdx | ) |

## Member Data Documentation

double* opentl::modalities::CCDCore::Assign

std::vector<double * > opentl::modalities::CCDCore::blur

double* opentl::modalities::CCDCore::C1[3]

double* opentl::modalities::CCDCore::C2[3]

std::vector<int> opentl::modalities::CCDCore::CCD_K

int* opentl::modalities::CCDCore::loutofbound

int opentl::modalities::CCDCore::m_xres

int opentl::modalities::CCDCore::m_yres

CvMat opentl::modalities::CCDCore::MD

CvMat opentl::modalities::CCDCore::mEi

CvMat opentl::modalities::CCDCore::MG

CvMat opentl::modalities::CCDCore::mGradi

CvMat opentl::modalities::CCDCore::MH

CvMat opentl::modalities::CCDCore::mHessi

CvMat opentl::modalities::CCDCore::mHi

CvMat opentl::modalities::CCDCore::mHT

CvMat opentl::modalities::CCDCore::mQi

CvMat opentl::modalities::CCDCore::mRi

CvMat opentl::modalities::CCDCore::mRinv

double* opentl::modalities::CCDCore::N0[2]

double* opentl::modalities::CCDCore::nu10

double* opentl::modalities::CCDCore::nu11[3]

double* opentl::modalities::CCDCore::nu12[6]

double * opentl::modalities::CCDCore::nu20

double * opentl::modalities::CCDCore::nu21[3]

double * opentl::modalities::CCDCore::nu22[6]

double* opentl::modalities::CCDCore::nub10

double* opentl::modalities::CCDCore::nub11[3]

double* opentl::modalities::CCDCore::nub12[6]

double * opentl::modalities::CCDCore::nub20

double * opentl::modalities::CCDCore::nub21[3]

double * opentl::modalities::CCDCore::nub22[6]

double* opentl::modalities::CCDCore::nun11[3]

double* opentl::modalities::CCDCore::nun12[6]

double * opentl::modalities::CCDCore::nun21[3]

double * opentl::modalities::CCDCore::nun22[6]

int* opentl::modalities::CCDCore::outofbound

double opentl::modalities::CCDCore::sigma

double opentl::modalities::CCDCore::sigma_hat

double* opentl::modalities::CCDCore::Weight

double* opentl::modalities::CCDCore::Y0[2]

projected contour and companion points (image space).

double* opentl::modalities::CCDCore::Y1[2]

double* opentl::modalities::CCDCore::Y2[2]